import Vue from "vue/dist/vue";
import LayoutBuilder from "./LayoutBuilder.vue";
import store from "./store/index";

Vue.config.productionTip = false;

class App {
  constructor(id) {
    const layoutBuilder = document.getElementById(id);

    if (layoutBuilder && layoutBuilder.dataset.url) {
      fetch(layoutBuilder.dataset.url, {
        credentials: "include"
      }).then(response => {
        if (response.ok) {
          response.json().then(state => {
            new Vue({
              store: store(
                Object.assign({}, state, {
                  contentTypesOverlayVisibility: false,
                  iframeSrc: null,
                  currentlyEditableContentElement: null,
                  activeGroupInContentTypesOverlay: null
                })
              ),
              id,
              render: h => h(LayoutBuilder)
            }).$mount(`#${id}`);
          });
        }
      });
    }
  }
}

export default App;
